Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Static Public Member Functions | List of all members
LatBuilder::Parser::CombinedWeights Struct Reference

Parser for weights. More...

`#include <CombinedWeights.h>`

## Static Public Member Functions
static bool | parseFile (const std::string &arg, LatBuilder::CombinedWeights &weights, Real powerScale)
| Parses a string specifying a file containing a description of combined weights. More...
static std::unique_ptr < LatBuilder::CombinedWeights > | parse (const std::vector< std::string > &args, Real powerScale)
| Parses a vector of strings specifying weights. More...

## Detailed Description

Parser for weights.

## Member Function Documentation

static std::unique_ptr<LatBuilder::CombinedWeights> LatBuilder::Parser::CombinedWeights::parse | ( | const std::vector< std::string > & | args,
|  | Real | powerScale
| ) |  |
| static

Parses a vector of strings specifying weights.

For example strings, see parseFile(), Parser::Weights::parseProjectionDependent(), Parser::Weights::parseOrderDependent() and Parser::Weights::parseProduct().

Returns
  A pointer to a newly created object or `nullptr` on failure.

static bool LatBuilder::Parser::CombinedWeights::parseFile | ( | const std::string & | arg,
|  | LatBuilder::CombinedWeights & | weights,
|  | Real | powerScale
| ) |  |
| static

Parses a string specifying a file containing a description of combined weights.

Adds projection-dependent and order-dependent weights to an existing CombinedWeights instance.

Example strings: `file:filename`

Returns
  `true` on success; `false` on failure

The documentation for this struct was generated from the following file:

- latbuilder/include/latbuilder/Parser/CombinedWeights.h